package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewEggEnergyFundDataRecordsDb(engine *xorm.Engine) dao.EggEnergyFundDataRecordsDao {
	return &EggEnergyFundDataRecordsDb{Db: engine}
}

type EggEnergyFundDataRecordsDb struct {
	Db *xorm.Engine
}

func (e EggEnergyFundDataRecordsDb) EggEnergyFundDataRecordsFindAndCount(page, limit int, recordsID int) ([]model.EggEnergyFundDataRecords, int64, error) {
	var m []model.EggEnergyFundDataRecords
	total, err := e.Db.Where("records_id = ?", recordsID).Limit(limit, (page-1)*limit).FindAndCount(&m)
	if err != nil {
		return nil, 0, zhios_order_relate_logx.Error(err.Error())
	}
	return m, total, nil
}

func (e EggEnergyFundDataRecordsDb) EggEnergyFundDataRecordsGetLast(id int) (*model.EggEnergyFundDataRecords, error) {
	var m model.EggEnergyFundDataRecords
	has, err := e.Db.Where("records_id = ?", id).Desc("create_at").Get(&m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err.Error())
	}
	if !has {
		return nil, nil
	}
	return &m, nil
}

func (e EggEnergyFundDataRecordsDb) EggEnergyFundDataRecordsInsertBySession(session *xorm.Session, record model.EggEnergyFundDataRecords) (int, error) {
	_, err := session.InsertOne(record)
	if err != nil {
		return 0, zhios_order_relate_logx.Error(err.Error())
	}
	return record.Id, nil
}
