package model

type CloudBundle struct {
	Id                  int    `json:"id" xorm:"not null pk autoincr INT(10)"`
	Os                  int    `json:"os" xorm:"not null default 1 comment('系统类型：1.Android； 2.IOS 3.微信小程序 4.支付宝小程序') TINYINT(1)"`
	Version             string `json:"version" xorm:"not null default '' comment('版本号') VARCHAR(255)"`
	Modules             string `json:"modules" xorm:"not null comment('包含的模块') TEXT"`
	ApplyAt             int    `json:"apply_at" xorm:"comment('申请时间') INT(11)"`
	FinishAt            int    `json:"finish_at" xorm:"comment('完成时间') INT(11)"`
	State               int    `json:"state" xorm:"not null default 1 comment('状态：正在排队0，正在同步代码1，正在更新配置2，正在混淆3，正在打包4，正在上传5，打包成功999，异常-1, 998已重签') SMALLINT(5)"`
	Memo                string `json:"memo" xorm:"comment('备注') TEXT"`
	ErrorMsg            string `json:"error_msg" xorm:"comment('错误信息') TEXT"`
	Src                 string `json:"src" xorm:"comment('包源地址') VARCHAR(255)"`
	BuildId             string `json:"build_id" xorm:"comment('build版本ID') VARCHAR(255)"`
	BuildNumber         string `json:"build_number" xorm:"default '' VARCHAR(255)"`
	TemplateDuringAudit string `json:"template_during_audit" xorm:"not null default '' VARCHAR(255)"`
	ResignSrc           string `json:"resign_src" xorm:"comment('已重签的apk包') VARCHAR(255)"`
	Ep                  int    `json:"ep" xorm:"not null default 0 comment('0：c端 1：b端') TINYINT(1)"`
	Bit                 string `json:"bit" xorm:"comment('位数') VARCHAR(255)"`
	AppletId            int    `json:"applet_id" xorm:"default 0 comment('小程序记录id') INT(11)"`
	IsCombine           string `json:"is_combine" xorm:"default '0' VARCHAR(255)"`
	NewBit              string `json:"new_bit" xorm:"VARCHAR(255)"`
	IsAuditing          int    `json:"is_auditing" xorm:"default 0 INT(1)"`
	AlipayAppletAppId   string `json:"alipay_applet_app_id" xorm:"not null default '' comment('支付宝小程序appid') CHAR(50)"`
	Platform            string `json:"platform" xorm:"VARCHAR(255)"`
	NewPlatform         string `json:"new_platform" xorm:"VARCHAR(5000)"`
}
